experiment_name: 'NER'
run: >
  python -u local_execute_multi.py {checkpoint}
setup: slurm_virtual_env
type_: gpu

model_params:
  nlayers: 2
  hidden_size: 512

task:
  tag_type: 'UPOS'
  data_set: 'ud_english+ud_german+ud_french+ud_italian+ud_dutch+ud_polish+ud_swedish+ud_norwegian+ud_danish+ud_finnish+ud_czech+ud_spanish'

embeddings:
  char_lm: 'multi-forward-fast+multi-backward-fast'
  charlm_type: 'normal'
  word:  ''
  char: False
  elmo: ''

network:
  name: 'flair'
  mode: 'nocrf'

learning_params:
  learning_rate: 0.1
  mini_batch_size: 32
  anneal_factor: 0.5
  patience: 3
  anneal_with_restarts: False
  use_dropout: 0.0
  use_word_dropout: 0.05
  use_locked_dropout: 0.5